#ifndef G95_DV_H_
#define G95_DV_H_

/**
 * This information obtained from G95 file libf95.a-0.92/runtime.h
 */

/* dope_vec_G95: the F90 array descriptor for the G95 compiler */

typedef struct dope_vec_G95_ {
    char *offset;
    void *base_addr;
    int rank, corank, elem_size; /* G95_DINT */

    struct {
      long stride_mult, lower_bound, upper_bound; /* G95_AINT */
    } dim[7];  /* G95_MAX_DIMENSIONS */
} dope_vec_G95;

#endif /* G95_DV_H_ */
